org.jvnet.hudson

## Class MemoryUsage

- java.lang.Object
- - org.jvnet.hudson.MemoryUsage

All Implemented Interfaces:
  java.io.Serializable

    public class MemoryUsage
    extends java.lang.Object
    implements java.io.Serializable

Memory usage. Immutable.

Author:
  Kohsuke Kawaguchi
See Also:
  Serialized Form

### Field Summary

Fields
`long` `availablePhysicalMemory` Of the total physical memory of the system, available bytes.
`long` `availableSwapSpace` Available swap space in bytes.
`long` `totalPhysicalMemory` Total physical memory of the system, in bytes.
`long` `totalSwapSpace` Total number of swap space in bytes.

### Constructor Summary

Constructors
Constructor and Description
`MemoryUsage(long totalPhysicalMemory, long availablePhysicalMemory, long totalSwapSpace, long availableSwapSpace)`

### Method Summary

Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### totalPhysicalMemory

    public final long totalPhysicalMemory

Total physical memory of the system, in bytes. -1 if unknown.

#### availablePhysicalMemory

    public final long availablePhysicalMemory

Of the total physical memory of the system, available bytes. -1 if unknown.

#### totalSwapSpace

    public final long totalSwapSpace

Total number of swap space in bytes. -1 if unknown.

#### availableSwapSpace

    public final long availableSwapSpace

Available swap space in bytes. -1 if unknown.

### Constructor Detail

#### MemoryUsage

    public MemoryUsage(long totalPhysicalMemory,
               long availablePhysicalMemory,
               long totalSwapSpace,
               long availableSwapSpace)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`